#pragma once

#include "CoreMinimal.h"
#include "TooltipWidget.h"
#include "DisabledButtonTooltipWidget.generated.h"

class UDBDRichTextBlock;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UDisabledButtonTooltipWidget : public UTooltipWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDRichTextBlock* ContentRTB;

public:
	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetTooltipData(const FText& disabledButtonTooltipText);

public:
	UDisabledButtonTooltipWidget();
};

FORCEINLINE uint32 GetTypeHash(const UDisabledButtonTooltipWidget) { return 0; }
